using Microsoft.Xna.Framework.Graphics;

namespace MonoGame.FourEngine.Services
{
    public class BasicSpriteBatchFactory : ISpriteBatchFactory
    {
        public virtual SpriteBatch Create(GraphicsDevice graphicsDevice) => new SpriteBatch(FourEngineGame.Current.GraphicsDevice);

        public virtual void Begin(SpriteBatch batch) => batch.Begin(SpriteSortMode.Immediate, BlendState.AlphaBlend, samplerState: SamplerState.PointClamp);

        public virtual void End(SpriteBatch batch) => batch.End();
    }
}